#!/bin/sh
#
# CSS Launcher Generator
#
# This script is supposed to be ran on Linux.
# Launchers generated by this script does not support kblog.
#
# Usage:
#  gen_wrapper.sh ACC OS
#
#  ACC - One of valid accelerators name. See VALID_ACC varible defined
#        in acc_settings.sh
#  TARGET - WIN, MACOSX or LINUX
#
# Author
#  - Takashi Nakamoto (Cosylab)
#

SCRIPTDIR=$(cd $(dirname $0) && pwd)

ACC=$(echo "$1" | tr "[a-z]" "[A-Z]")
TARGET=$(echo "$2" | tr "[a-z]" "[A-Z]")
OS="LINUX"

# Dummy function
function kblog_sub_archives {
    echo ""
}

# Read settings of each accelerator
source ${SCRIPTDIR}/acc_settings.sh

# Utility functions
source ${SCRIPTDIR}/css_kek_functions.sh

# Set basic parameters
css_kek_settings

if [ "${TARGET}" = "WIN" ]; then
cat <<EOF
cd %~dp0

echo org.csstudio.platform.libs.epics/addr_list=${ADDR_LIST} > %TEMP%\plugin_customization_${ACC}.ini
echo org.csstudio.trends.databrowser2/archives=${SUB_ARCHIVES//|/^|} >> %TEMP%\plugin_customization_${ACC}.ini
echo org.csstudio.trends.databrowser2/urls=${ARCHIVE_URLS//|/^|} >> %TEMP%\plugin_customization_${ACC}.ini

start css.exe -pluginCustomization %TEMP%\plugin_customization_${ACC}.ini
EOF

else

cat <<EOF
SCRIPTDIR=\$(cd \$(dirname \$0) && pwd)
TMP_INI=/tmp/plugin_customization_\$\$.ini
CSS=\${SCRIPTDIR}/css

cat <<EOS
org.csstudio.platform.libs.epics/addr_list=${ADDR_LIST}

org.csstudio.trends.databrowser2/archives=${SUB_ARCHIVES}
org.csstudio.trends.databrowser2/urls=${ARCHIVE_URLS}
EOS

\${CSS} -pluginCustomization \${TMP_INI}
EOF

fi

